# Google Cloud Documentation: https://cloud.google.com/sdk/gcloud/reference/firebase/test/android/run
# Flank Documentation: https://flank.github.io/flank/
gcloud:
  results-bucket: focus_android_test_artifacts
  record-video: true

  timeout: 30m
  async: false
  num-flaky-test-attempts: 1

  app: /app/path
  test: /test/path

  auto-google-login: false
  use-orchestrator: true
  environment-variables:
    clearPackageData: true
  directories-to-pull:
    - /sdcard/Android/data/org.mozilla.focus.debug/minidumps
  other-files:
    /data/local/tmp/org.mozilla.focus.debug-geckoview-config.yaml: geckoview-configs/org.mozilla.focus.debug-geckoview-config.yaml
  performance-metrics: true

  test-targets:
    - package org.mozilla.focus.activity
    - package org.mozilla.focus.privacy

  device:
    - model: MediumPhone.arm
      version: 34
      locale: en_US

flank:
  project: GOOGLE_PROJECT
  max-test-shards: 50
  num-test-runs: 1
  output-style: compact
  full-junit-result: true
